KubeOne(1)

NAME
kubeone-mirror-images - Mirror images to another registry

SYNOPSIS
kubeone mirror-images [registry] [flags]

DESCRIPTION
Mirror images used by KubeOne to another registry. This command lists the images (including control-plane images) and copies them to the specified target registry.

OPTIONS
--dry-run[=false]
    Only print the names of source and destination images

--filter="none"
    images list filter, one of the [none|base|optional|control-plane]

-h, --help[=false]
    help for mirror-images

--insecure[=false]
    insecure option to bypass TLS certificate verification

--kubernetes-versions=""
    Kubernetes versions (comma-separated, format: vX.Y[.Z])

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    # Mirror all images to a target registry
    kubeone mirror-images myregistry.com
    # Mirror images for a specific Kubernetes versions
    kubeone mirror-images --kubernetes-versions=v1.26.0,v1.29.0 --filter=control-plane myregistry.com

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra